/*+
|                                               |
|     Trigger: DTULTATU_ITEMDWGRUPOP            |  
|     Tabela : ITEMDWGRUPOP                     |
|                                               |
|     Criao:                                  |
|     06/09/2007 - Luiz Passos                  |
|                                               |
+*/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_ITEMDWGRUPOP'  and
            type = 'TR'                       and
            u.uid = o.uid                     and
            u.name = USER)
   DROP TRIGGER DTULTATU_ITEMDWGRUPOP
GO

CREATE TRIGGER DTULTATU_ITEMDWGRUPOP
ON ITEMDWGRUPOP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
         (SELECT 'ITEMDWGRUPOP', 'CDTABELADW='  + CDTABELADW +
                                 ';CDITEMDW='   + CDITEMDW   +
                                 ';CDGRUPOPER=' + CDGRUPOPER + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE ITEMDWGRUPOP
      SET DTULTATUITDWGRU = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(ITEMDWGRUPOP.CDTABELADW, 0) = ISNULL(INSERTED.CDTABELADW, 0)) AND
            (ISNULL(ITEMDWGRUPOP.CDITEMDW, 0)   = ISNULL(INSERTED.CDITEMDW, 0))   AND
            (ISNULL(ITEMDWGRUPOP.CDGRUPOPER, 0) = ISNULL(INSERTED.CDGRUPOPER, 0));
   END;
END;
GO 




-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_ITEMDWGRUPOP','4.11.176';
GO

